import request from '@/utils/request'

export function addOrUpdateSubject(param) {
  return request({
    url: '/Inspection/Subject/AddOrUpdateSubject',
    method: 'post',
    data: param
  })
}

export function updateSubjectStatus(param) {
  return request({
    url: `/Inspection/Subject/UpdateSubjectStatus`,
    method: 'put',
    data: param
  })
}
export function deleteSubject(param) {
  return request({
    url: `/Inspection/Subject/DeleteSubject`,
    method: 'delete',
    data: param
  })
}

export function PMClinicalDataConfirm(param) {
  return request({
    url: `/ReadingClinicalData/PMClinicalDataConfirm`,
    method: 'put',
    data: param
  })
}

export function getSubjectCriteriaEvaluationList(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/getSubjectCriteriaEvaluationList`,
    method: 'post',
    data: param
  })
}

export function batchAddOrUpdateSubjectCriteriaEvaluation(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/batchAddOrUpdateSubjectCriteriaEvaluation`,
    method: 'post',
    data: param
  })
}

export function getSubjectCriteriaEvaluationVisitFilterList(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/getSubjectCriteriaEvaluationVisitFilterList`,
    method: 'post',
    data: param
  })
}

export function getHaveGeneratedTaskList(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/getHaveGeneratedTaskList`,
    method: 'post',
    data: param
  })
}

export function batchGenerateTask(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/batchGenerateTask`,
    method: 'post',
    data: param
  })
}

export function getVisitStudyAndSeriesList(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/getVisitStudyAndSeriesList`,
    method: 'post',
    data: param
  })
}

export function batchAddSubjectCriteriaEvaluationVisitStudyFilter(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/batchAddSubjectCriteriaEvaluationVisitStudyFilter`,
    method: 'post',
    data: param
  })
}

export function getCriteriaVisitBackInfluenceTaskList(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/getCriteriaVisitBackInfluenceTaskList`,
    method: 'post',
    data: param
  })
}

export function confirmBackCriteriaVisitTask(param) {
  return request({
    url: `/SubjectCriteriaEvaluation/confirmBackCriteriaVisitTask`,
    method: 'post',
    data: param
  })
}

